<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>gov.va.med.cds</groupId>
	<version>3.15.0.2-SNAPSHOT</version>
	<artifactId>cds</artifactId>
	<name>Clinical Data Service</name>
	<packaging>pom</packaging>
	<modules>
		<module>cds-client</module>
		<module>cds-core</module>
		<module>cdsn-log4j-configuration</module>
		<module>cdsn-ejb</module>
		<module>cdsn-logger-ejb</module>
		<module>cdsn-ws</module>
		<module>cdsn-pathways-ws</module>
		<module>cdsn-ear</module>
		<module>cdsn-functional-tests</module>
	</modules>
	<!-- 
	<scm>
		<url>https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_cds_main_stream_rws</url>
		<connection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_cds_main_stream_rws</connection>
		<developerConnection>scm:jazz:https://URL             .DNS   :9443/ccm:DNS   shaha_rb_HDR_app_cds_main_stream_rws</developerConnection>
	</scm>
	-->
	
	<scm>
        <url>${env.SCM_URL}:${env.APP_CDS_RB_RWS}</url>
        <connection>scm:jazz:${env.SCM_URL}:${env.APP_CDS_RB_RWS}</connection>
        <developerConnection>scm:jazz:${env.SCM_URL}:${env.APP_CDS_RB_RWS}</developerConnection>
    </scm>
    
	<properties>
		<modules.test.groups>checkintest</modules.test.groups>
		<org.springframework.version>4.2.7.RELEASE</org.springframework.version>
		<powermock.version>1.6.4</powermock.version>
		<repos.lib.groupid>gov.va.med.repos.lib</repos.lib.groupid>
		<apache.cxf.version>3.1.3</apache.cxf.version>
		<weblogic.version>12.1.2.0</weblogic.version>
		<log4j.version>2.4</log4j.version>
		<build.reports.outputsite>file://DNS  apphdrci01.DNS   .med.DNS   :/usr/share/tomcat6/webapps/siteReport</build.reports.outputsite>
		<build.reports.url>http://DNS  apphdrci01.DNS   .med.DNS   :8080/siteReport/</build.reports.url>
		<!-- module and client dependencies -->
		<junit-ext.version>3.1.1</junit-ext.version>
		<common.version>5.0.0</common.version>
		<common-ws.version>2.0.0</common-ws.version>
		<log4j-ext.version>4.0.0</log4j-ext.version>
		<testharness.version>5.0.0</testharness.version>
		<aspects.version>4.0.0</aspects.version>
		<idm-webservice-client.version>4.0.0</idm-webservice-client.version>
		<tafs-webservice-client.version>4.0.0</tafs-webservice-client.version>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cds-client</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cds-core</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cds-core</artifactId>
				<version>${project.version}</version>
				<classifier>tests</classifier>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cdsn-ejb</artifactId>
				<version>${project.version}</version>
				<type>ejb</type>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cdsn-logger-ejb</artifactId>
				<version>${project.version}</version>
				<type>ejb</type>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cdsn-ws</artifactId>
				<version>${project.version}</version>
				<type>war</type>
			</dependency>
			<dependency>
				<groupId>${project.groupId}</groupId>
				<artifactId>cdsn-pathways-ws</artifactId>
				<version>${project.version}</version>
				<type>war</type>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>aspects</artifactId>
				<version>${aspects.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>common</artifactId>
				<version>${common.version}</version>
				<classifier>tests</classifier>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>junit-ext</artifactId>
				<version>${junit-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>log4j-ext</artifactId>
				<version>${log4j-ext.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>cdsn-log4j-configuration</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>${repos.lib.groupid}</groupId>
				<artifactId>testharness</artifactId>
				<version>${testharness.version}</version>
				<classifier>tests</classifier>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>cds-idm-ws-client</artifactId>
				<version>${idm-webservice-client.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>tafs-webservice-client</artifactId>
				<version>${tafs-webservice-client.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds.ws</groupId>
				<artifactId>common-ws</artifactId>
				<version>${common-ws.version}</version>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>cds-vdm400</artifactId>
				<version>3.3.0.7</version>
				<classifier>tests</classifier>
			</dependency>
			<dependency>
				<groupId>gov.va.med.cds</groupId>
				<artifactId>cds-vdm400</artifactId>
				<version>3.3.0.7</version>
			</dependency>
			<dependency>
				<groupId>org.mule.transports</groupId>
				<artifactId>mule-transport-ejb</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.transports</groupId>
				<artifactId>mule-transport-vm</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.modules</groupId>
				<artifactId>mule-module-client</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule.modules</groupId>
				<artifactId>mule-module-xml</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>delivery.service</groupId>
				<artifactId>DS5client</artifactId>
				<version>5.0</version>
			</dependency>
			<dependency>
				<groupId>delivery.service</groupId>
				<artifactId>core</artifactId>
				<version>5.0</version>
			</dependency>
			<dependency>
				<groupId>org.mule</groupId>
				<artifactId>mule-core</artifactId>
				<version>3.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>1.8.6</version>
			</dependency>
			<dependency>
				<groupId>com.jayway.jsonpath</groupId>
				<artifactId>json-path</artifactId>
				<version>2.1.0</version>
			</dependency>
			<dependency>
				<groupId>net.minidev</groupId>
				<artifactId>json-smart</artifactId>
				<version>2.2</version>
			</dependency>
			<dependency>
				<groupId>org.json</groupId>
				<artifactId>json</artifactId>
				<version>20151123</version>
			</dependency>
			<dependency>
				<groupId>javax.transaction</groupId>
				<artifactId>jta</artifactId>
				<version>1.0.1B</version>
			</dependency>
			<dependency>
				<groupId>commons-beanutils</groupId>
				<artifactId>commons-beanutils</artifactId>
				<version>1.9.2</version>
			</dependency>
			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>1.10</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-collections4</artifactId>
				<version>4.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-dbcp2</artifactId>
				<version>2.1</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-digester3</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>commons-logging</groupId>
				<artifactId>commons-logging</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-pool2</artifactId>
				<version>2.4.2</version>
			</dependency>
			<dependency>
				<groupId>commons-jxpath</groupId>
				<artifactId>commons-jxpath</artifactId>
				<version>1.3</version>
			</dependency>
			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>2.4</version>
			</dependency>
			<dependency>
				<groupId>com.intersys</groupId>
				<artifactId>cachedb</artifactId>
				<version>2015.2.1.705</version>
			</dependency>
			<dependency>
				<groupId>ehcache</groupId>
				<artifactId>ehcache</artifactId>
				<version>3.1.2</version>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1-PATCH01</version>
			</dependency>
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.12</version>
			</dependency>
			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>servlet-api</artifactId>
				<version>2.4</version>
			</dependency>
			<!-- explicit dependency isn't necessary for log4j libs as these come in through log4j-ext dependency -->
			<!-- <dependency> <groupId>org.apache.logging.log4j</groupId> <artifactId>log4j-api</artifactId> <version>${log4j.version}</version> </dependency>
				<dependency> <groupId>org.apache.logging.log4j</groupId> <artifactId>log4j-core</artifactId> <version>${log4j.version}</version> </dependency>
				<dependency>
				<groupId>org.apache.logging.log4j</groupId> <artifactId>log4j-jcl</artifactId> <version>${log4j.version}</version> </dependency> <dependency>
				<groupId>org.apache.logging.log4j</groupId>
				<artifactId>log4j-slf4j-impl</artifactId> <version>${log4j.version}</version> </dependency> -->
			<dependency>
				<groupId>oracle</groupId>
				<artifactId>ojdbc6</artifactId>
				<version>11.2.0.3</version>
			</dependency>
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>xdb</artifactId>
				<version>11.1.0.7.0</version>
			</dependency>
			<dependency>
				<groupId>com.oracle</groupId>
				<artifactId>xmlparserv2</artifactId>
				<version>11.1.0.7.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-core</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-http</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-simple</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxrs</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxws</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-wsdl</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-bindings-soap</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-security</artifactId>
				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
  				<groupId>org.apache.cxf</groupId>
  				<artifactId>cxf-rt-rs-security-xml</artifactId>
  				<version>${apache.cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.ws.xmlschema</groupId>
				<artifactId>xmlschema-core</artifactId>
				<version>2.0.3</version>
			</dependency>
			<dependency>
				<groupId>javax.jws</groupId>
				<artifactId>jsr181-api</artifactId>
				<version>1.0-MR1</version>
			</dependency>
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>jsr311-api</artifactId>
				<version>1.1-ea</version>
			</dependency>
			<dependency>
				<groupId>javax.xml</groupId>
				<artifactId>jaxrpc-api</artifactId>
				<version>1.1</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-databinding-jaxb</artifactId>
				<version>3.1.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-addr</artifactId>
				<version>3.1.3</version>
			</dependency>
			<dependency>
				<groupId>javax.ws.rs</groupId>
				<artifactId>javax.ws.rs-api</artifactId>
				<version>2.0.1</version>
			</dependency>
			<dependency>
				<groupId>org.jdom</groupId>
				<artifactId>jdom2</artifactId>
				<version>2.0.6</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.emf</groupId>
				<artifactId>org.eclipse.emf.common</artifactId>
				<version>2.11.0-v20150805-0538</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.emf</groupId>
				<artifactId>org.eclipse.emf.ecore.xmi</artifactId>
				<version>2.11.1-v20150805-0538</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.emf</groupId>
				<artifactId>org.eclipse.emf.ecore</artifactId>
				<version>2.11.1-v20150805-0538</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.emf</groupId>
				<artifactId>org.eclipse.emf.mapping.ecore2xml</artifactId>
				<version>2.9.0-v20150806-0404</version>
			</dependency>
			<dependency>
				<groupId>org.eclipse.xsd</groupId>
				<artifactId>org.eclipse.xsd</artifactId>
				<version>2.11.0-v20150806-0404</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>4.3.10.Final</version>
			</dependency>
			<!-- transitive dependency hibernate uses for logging, this version will replace the one hibernate uses and allow the log4j2 configuration binding
				the earlier version did not -->
			<dependency>
				<groupId>org.jboss.logging</groupId>
				<artifactId>jboss-logging</artifactId>
				<version>3.3.0.Final</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-commons-annotations</artifactId>
				<version>4.0.5.Final</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-core</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-expression</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aop</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-tx</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jdbc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-orm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-oxm</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-jms</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-web</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${org.springframework.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.annotation</groupId>
				<artifactId>jsr250-api</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>poi</groupId>
				<artifactId>poi-2.5.1-final</artifactId>
				<version>20040804</version>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlfullclient</artifactId>
				<version>${weblogic.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>weblogic</groupId>
				<artifactId>wlthint3client</artifactId>
				<version>${weblogic.version}</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>xml-resolver</groupId>
				<artifactId>xml-resolver</artifactId>
				<version>1.2</version>
			</dependency>
			<dependency>
				<groupId>xml-apis</groupId>
				<artifactId>xml-apis</artifactId>
				<!-- Don't upgrade to version 2.0.2 it's a non-standard version -->
				<version>1.4.01</version>
			</dependency>
			<dependency>
				<groupId>xerces</groupId>
				<artifactId>xercesImpl</artifactId>
				<version>2.11.0</version>
			</dependency>
			<dependency>
				<groupId>xmlbeans</groupId>
				<artifactId>xbean</artifactId>
				<version>2.2.0</version>
			</dependency>
			<dependency>
				<groupId>xpp3</groupId>
				<artifactId>xpp3</artifactId>
				<version>1.1.4c</version>
			</dependency>
			<dependency>
				<groupId>hapi</groupId>
				<artifactId>hapi</artifactId>
				<version>0.5.1</version>
			</dependency>
			<dependency>
				<groupId>net.sf.saxon</groupId>
				<artifactId>Saxon-HE</artifactId>
				<version>9.7.0-7</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymock</artifactId>
				<version>3.4</version>
			</dependency>
			<dependency>
				<groupId>org.easymock</groupId>
				<artifactId>easymockclassextension</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>org.apache.activemq</groupId>
				<artifactId>activemq-all</artifactId>
				<version>5.2.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.xbean</groupId>
				<artifactId>xbean-spring</artifactId>
				<version>4.5</version>
			</dependency>
			<dependency>
				<groupId>aopalliance</groupId>
				<artifactId>aopalliance</artifactId>
				<version>1.0</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-module-junit4</artifactId>
				<version>${powermock.version}</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-core</artifactId>
				<version>${powermock.version}</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-module-junit4-rule</artifactId>
				<version>${powermock.version}</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-classloading-xstream</artifactId>
				<version>${powermock.version}</version>
			</dependency>
			<dependency>
				<groupId>org.powermock</groupId>
				<artifactId>powermock-api-easymock</artifactId>
				<version>${powermock.version}</version>
			</dependency>
			<dependency>
				<groupId>com.thoughtworks.xstream</groupId>
				<artifactId>xstream</artifactId>
				<version>1.4.9</version>
			</dependency>
			<dependency>
				<groupId>hdr</groupId>
				<artifactId>hdr-hl7</artifactId>
				<version>1.8</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-validator</artifactId>
				<version>4.1.0.Final</version>
			</dependency>
			<dependency>
				<groupId>javax.validation</groupId>
				<artifactId>validation-api</artifactId>
				<version>1.0.0.GA</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.ow2.asm</groupId>
				<artifactId>asm</artifactId>
				<version>5.0.3</version>
			</dependency>
			<dependency>
				<groupId>wsdl4j</groupId>
				<artifactId>wsdl4j</artifactId>
				<version>1.6.2</version>
			</dependency>

			<!-- The below jars are essential for CXF clients to look up UDDI -->
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-impl</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.bind</groupId>
				<artifactId>jaxb-core</artifactId>
				<version>2.2.11</version>
			</dependency>
			<dependency>
				<groupId>org.apache.neethi</groupId>
				<artifactId>neethi</artifactId>
				<version>3.0.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-policy</artifactId>
				<version>3.1.3</version>
				<exclusions>
					<exclusion>
						<groupId>wsdl4j</groupId>
						<artifactId>wsdl4j</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<dependency>
				<groupId>jaxm-api</groupId>
				<artifactId>jaxm-api</artifactId>
				<version>5.1</version>
				<scope>runtime</scope>
			</dependency>
			<dependency>
				<groupId>saaj-api</groupId>
				<artifactId>saaj-api</artifactId>
				<version>1.3</version>
				<scope>provided</scope>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>woodstox-core-asl</artifactId>
				<version>4.4.1</version>
				<exclusions>
					<exclusion>
						<groupId>javax.xml.stream</groupId>
						<artifactId>stax-api</artifactId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.codehaus.woodstox</groupId>
				<artifactId>stax2-api</artifactId>
				<version>3.1.4</version>
			</dependency>
			<!-- End -->
		</dependencies>
	</dependencyManagement>
	<build>
		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-webdav</artifactId>
				<version>1.0-beta-2</version>
			</extension>
		</extensions>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>com.atlassian.maven.plugins</groupId>
					<artifactId>maven-clover2-plugin</artifactId>
					<version>3.1.12</version>
					<configuration>
						<licenseLocation>/usr/share/tomcat6/.clover/clover-11Aug2013.license</licenseLocation>
						<generateHtml>true</generateHtml>
						<generateXml>true</generateXml>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>3.1</version>
					<configuration>
						<source>1.8</source>
						<target>1.8</target>
					</configuration>
					<executions>
						<execution>
							<id>log4j-plugin-processor</id>
							<goals>
								<goal>compile</goal>
							</goals>
							<phase>process-classes</phase>
							<configuration>
								<proc>only</proc>
								<annotationProcessors>
									<annotationProcessor>org.apache.logging.log4j.core.config.plugins.processor.PluginProcessor</annotationProcessor>
								</annotationProcessors>
							</configuration>
						</execution>
					</executions>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-resources-plugin</artifactId>
					<version>2.5</version>
					<configuration>
						<!-- specify UTF-8, ISO-8859-1 or any other file encoding -->
						<encoding>UTF-8</encoding>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-jar-plugin</artifactId>
					<version>2.3.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.12.4</version>
					<configuration>
						<systemPropertyVariables>
							<cds.run.properties.path>${cds.run.properties.path}</cds.run.properties.path>
							<cds.caip.configfile.path>${cds.caip.configfile.path}</cds.caip.configfile.path>
							<cds.test.groups>${cds.test.groups}</cds.test.groups>
							<java.util.Arrays.useLegacyMergeSort>${java.util.Arrays.useLegacyMergeSort}</java.util.Arrays.useLegacyMergeSort>
							<!-- <cds.unique.patient>${cds.unique.patient}</cds.unique.patient> <cdsAppName>${cdsAppName}</cdsAppName> <pathwaysAppName>${pathwaysAppName}</pathwaysAppName>
								<cds.test.templatecache>${cds.test.templatecache}</cds.test.templatecache> <cds.test.filtercache>${cds.test.filtercache}</cds.test.filtercache>
								<hibernate.show.sql>${hibernate.show.sql}</hibernate.show.sql>
								<hibernate.query.plan_cache_max_strong_references.size>${hibernate.query.plan_cache_max_strong_references.size}</hibernate.query.plan_cache_max_strong_references.size>
								<hibernate.query.plan_cache_max_soft_references.size>${hibernate.query.plan_cache_max_soft_references.size}</hibernate.query.plan_cache_max_soft_references.size>
								<hibernate.prepare_sql>${hibernate.prepare_sql}</hibernate.prepare_sql> <hibernate.statement_cache.size>${hibernate.statement_cache.size}</hibernate.statement_cache.size>
								<cds.jdbc.dataSource.hdr2.jndiName>${cds.jdbc.dataSource.hdr2.jndiName}</cds.jdbc.dataSource.hdr2.jndiName> <cds.jdbc.dataSource.vista.context.jndiName>${cds.jdbc.dataSource.vista.context.jndiName}</cds.jdbc.dataSource.vista.context.jndiName> -->
							<java.security.policy>${java.security.policy}</java.security.policy>
							<DSKey.store>${DSKey.store}</DSKey.store>
							<java.security.auth.login.config>${java.security.auth.login.config}</java.security.auth.login.config>
						</systemPropertyVariables>
						<argLine>-Xmx2048m</argLine>
						<disableXmlReport>false</disableXmlReport>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-ejb-plugin</artifactId>
					<version>2.5.1</version>
					<configuration>
						<ejbVersion>3.0</ejbVersion>
					</configuration>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-war-plugin</artifactId>
					<version>2.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-ear-plugin</artifactId>
					<version>2.4.2</version>
				</plugin>
				<plugin>
					<groupId>org.codehaus.mojo</groupId>
					<artifactId>exec-maven-plugin</artifactId>
					<version>1.2.1</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-antrun-plugin</artifactId>
					<version>1.3</version>
				</plugin>
				<plugin>
					<groupId>eviware</groupId>
					<artifactId>maven-soapui-plugin</artifactId>
					<version>4.5.1</version>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-scm-plugin</artifactId>
					<version>1.9.1</version>
					<dependencies>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-provider-jazz</artifactId>
							<version>1.9.1</version>
						</dependency>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-api</artifactId>
							<version>1.9.1</version>
						</dependency>
						<dependency>
							<groupId>org.apache.maven.scm</groupId>
							<artifactId>maven-scm-client</artifactId>
							<version>1.9.1</version>
						</dependency>
					</dependencies>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-release-plugin</artifactId>
					<version>2.5</version>
				</plugin>

				<plugin>
					<groupId>com.fortify.ps.maven.plugin</groupId>
					<artifactId>sca-maven-plugin</artifactId>
					<version>4.30</version>
				</plugin>
			</plugins>
		</pluginManagement>
	</build>
	<reporting>
		<plugins>
			<plugin>
				<groupId>com.atlassian.maven.plugins</groupId>
				<artifactId>maven-clover2-plugin</artifactId>
				<version>3.1.12</version>
				<configuration>
					<licenseLocation>/usr/share/tomcat6/.clover/clover-11Aug2013.license</licenseLocation>
				</configuration>
			</plugin>
		</plugins>
	</reporting>

	<distributionManagement>
		<repository>
			<id>internal</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
		</snapshotRepository>
		<site>
			<id>bob-website</id>
			<url> ${build.reports.outputsite}/<!-- ${project.version} -->
			</url>
		</site>
	</distributionManagement>
	<repositories>
		<repository>
			<id>internal</id>
			<name>Internal Repository</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/internal</url>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
		</repository>
		<repository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://DNS  apphdrrb01.DNS   .med.DNS   :8081/nexus/content/repositories/snapshots</url>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>
</project>
